## junos-eznc 1.3.1

=== requirements.txt ===
lxml>=3.2.4
ncclient>=0.4.6
paramiko>=1.15.2
scp>=0.7.0
jinja2>=2.7.1
PyYAML>=3.10
netaddr

=== debian/changelog ===
junos-eznc (1.3.1-1) unstable; urgency=low

  * Initial package. Closes: #825197.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 May 2016 15:57:22 +0200

## junos-eznc 2.0.1

=== debian/changelog ===
junos-eznc (2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 01 Nov 2016 20:10:34 +0100

=== debian/control ===
Source: junos-eznc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python-jinja2,
               python-lxml,
               python-ncclient,
               python-netaddr,
               python-paramiko,
               python-scp,
               python-setuptools,
               python-yaml,
Standards-Version: 3.9.8
Homepage: http://www.github.com/Juniper/py-junos-eznc
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/junos-eznc.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/junos-eznc.git

Package: python-junos-eznc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Junos 'EZ' automation for non-programmers
 Junos PyEZ is designed to provide the same capabilities as a user
 would have on the Junos CLI, but in an environment built for
 automation tasks. These capabilities include, but are not limited to:
 .
  - Remote connectivity and management of Junos devices via NETCONF
  - Provide "facts" about the device
  - Retrieve "operational" or "run-state" information
  - Retrieve configuration information
  - Make configuration changes in unstructured and structured ways
  - Provide common utilities for tasks such as secure copy of files and
    software updates

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=junos-eznc

%:
	dh $@ --with python2 --buildsystem=pybuild

## junos-eznc 2.1.7

=== requirements.txt ===
lxml>=3.2.4
ncclient>=0.5.3
paramiko>=1.15.2
scp>=0.7.0
jinja2>=2.7.1
PyYAML>=3.10
netaddr
six
pyserial

=== debian/changelog ===
junos-eznc (2.1.7-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #936771).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 04 Sep 2019 13:15:03 +0500

junos-eznc (2.1.7-2) unstable; urgency=medium

  * d/patches: patch to correctly detect format when using "insert".

 -- Vincent Bernat <bernat@debian.org>  Mon, 20 Nov 2017 15:39:04 +0100

junos-eznc (2.1.7-1) unstable; urgency=medium

  * New upstream version.
  * d/control: bump Standards-Version.
  * d/control: add Python 3 package.
  * d/control: add build-dependencies on python*-serial.
  * d/patches: add patch to make SSH work with keys and agent.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Nov 2017 19:15:05 +0100

=== debian/control ===
Source: junos-eznc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-jinja2,
               python3-lxml,
               python3-ncclient,
               python3-netaddr,
               python3-paramiko,
               python3-scp,
               python3-setuptools,
               python3-yaml,
               python3-serial,
Standards-Version: 4.1.1
Homepage: http://www.github.com/Juniper/py-junos-eznc
Vcs-Browser: https://salsa.debian.org/python-team/modules/junos-eznc
Vcs-Git: https://salsa.debian.org/python-team/modules/junos-eznc.git

Package: python3-junos-eznc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Junos 'EZ' automation for non-programmers (Python 3)
 Junos PyEZ is designed to provide the same capabilities as a user
 would have on the Junos CLI, but in an environment built for
 automation tasks. These capabilities include, but are not limited to:
 .
  - Remote connectivity and management of Junos devices via NETCONF
  - Provide "facts" about the device
  - Retrieve "operational" or "run-state" information
  - Retrieve configuration information
  - Make configuration changes in unstructured and structured ways
  - Provide common utilities for tasks such as secure copy of files and
    software updates
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/junos-eznc/junos-eznc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## junos-eznc 2.7.2

=== debian/changelog ===
junos-eznc (2.7.2-2) unstable; urgency=medium

  * Team upload.
  * Add python3-six to build-dependencies (Closes: #1093336)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 17 Jan 2025 20:14:41 +0100

junos-eznc (2.7.2-1) unstable; urgency=medium

  * Team Upload
  * Use GitHub tarball, tests are missing from PyPi
  * New upstream version 2.7.2 (Closes: #1037257)
  * Add dependency on python3-zombie-telnetlib (Closes: #1084573)
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Update dependencies:
    - python3-netaddr
    + python3-nose2
    + python3-ntc-templates
    + python3-pyparsing
    + python3-transitions
    + python3-yamlordereddictloader

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 16:45:08 +0100

junos-eznc (2.1.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 18:54:10 +0100

junos-eznc (2.1.7-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload
  * Use https for homepage URL
  * Switch to debhelper 13

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Lukas Märdian ]
  * Cherry-pick upstream commits (partly) to fix FTBFS with Python 3.8+
    b9bff50 and 74631fc: use new collections.abc module (Closes: #1002187)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Feb 2022 11:48:02 +0100

=== debian/control ===
Source: junos-eznc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-jinja2,
               python3-lxml,
               python3-ncclient,
               python3-nose2,
               python3-ntc-templates,
               python3-paramiko,
               python3-pyparsing,
               python3-scp,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-transitions,
               python3-yaml,
               python3-yamlordereddictloader,
               python3-zombie-telnetlib,
Rules-Requires-Root: no
Standards-Version: 4.1.1
Homepage: https://www.github.com/Juniper/py-junos-eznc
Vcs-Browser: https://salsa.debian.org/python-team/packages/junos-eznc
Vcs-Git: https://salsa.debian.org/python-team/packages/junos-eznc.git

Package: python3-junos-eznc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-zombie-telnetlib
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Junos 'EZ' automation for non-programmers (Python 3)
 Junos PyEZ is designed to provide the same capabilities as a user
 would have on the Junos CLI, but in an environment built for
 automation tasks. These capabilities include, but are not limited to:
 .
  - Remote connectivity and management of Junos devices via NETCONF
  - Provide "facts" about the device
  - Retrieve "operational" or "run-state" information
  - Retrieve configuration information
  - Make configuration changes in unstructured and structured ways
  - Provide common utilities for tasks such as secure copy of files and
    software updates

## junos-eznc 2.7.3

=== requirements.txt ===
lxml>=3.2.4
# ncclient version 0.6.10 and 0.6.16 has issues with PyEZ(junos-eznc) and needs to be avoided
ncclient==0.6.15
scp>=0.7.0
jinja2>=2.7.1
PyYAML>=5.1
paramiko>=3.5.0
six
pyserial
yamlordereddictloader
pyparsing
transitions

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to check coverage of the documentation if enabled"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JunosPyEZ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JunosPyEZ.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JunosPyEZ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JunosPyEZ"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."
		  
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Documentation coverage is finished, look at the " \
		"results in $(BUILDDIR)/coverage/python.txt."		  

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
junos-eznc (2.7.3-1) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.0
  * New upstream version 2.7.3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 11:30:11 +0100

=== debian/control ===
Source: junos-eznc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Vincent Bernat <bernat@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-jinja2,
 python3-lxml,
 python3-ncclient,
 python3-nose2,
 python3-ntc-templates,
 python3-paramiko,
 python3-pyparsing,
 python3-scp,
 python3-serial,
 python3-setuptools,
 python3-six,
 python3-transitions,
 python3-yaml,
 python3-yamlordereddictloader,
 python3-zombie-telnetlib,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.github.com/Juniper/py-junos-eznc
Vcs-Browser: https://salsa.debian.org/python-team/packages/junos-eznc
Vcs-Git: https://salsa.debian.org/python-team/packages/junos-eznc.git
X-Style: black

Package: python3-junos-eznc
Architecture: all
Depends:
 python3-zombie-telnetlib,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Junos 'EZ' automation for non-programmers (Python 3)
 Junos PyEZ is designed to provide the same capabilities as a user
 would have on the Junos CLI, but in an environment built for
 automation tasks. These capabilities include, but are not limited to:
 .
  - Remote connectivity and management of Junos devices via NETCONF
  - Provide "facts" about the device
  - Retrieve "operational" or "run-state" information
  - Retrieve configuration information
  - Make configuration changes in unstructured and structured ways
  - Provide common utilities for tasks such as secure copy of files and
    software updates

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=junos-eznc

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdeb:
	rm -vf debian/*/usr/lib/python3/dist-packages/foo_*.xml
	rm -vf debian/*/usr/lib/python3/dist-packages/testfile

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/Juniper/py-junos-eznc/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## junos-eznc 2.7.5

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 lxml>=3.2.4
 # ncclient version 0.6.10 and 0.6.16 has issues with PyEZ(junos-eznc) and needs to be avoided
-ncclient==0.6.15
+ncclient==0.7.0
 scp>=0.7.0
 jinja2>=2.7.1
 PyYAML>=5.1

=== debian/changelog ===
junos-eznc (2.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.5
  * Fix Salsa CI
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * upstream now vendors a copy of telnetlib
    * update debian/copyright
    * devendor telnetlib in favor of python3-zombie-telnetlib

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Jan 2026 13:06:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: junos-eznc
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Vincent Bernat <bernat@debian.org>,
@@ -23,8 +22,7 @@
  python3-yaml,
  python3-yamlordereddictloader,
  python3-zombie-telnetlib,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.github.com/Juniper/py-junos-eznc
 Vcs-Browser: https://salsa.debian.org/python-team/packages/junos-eznc
 Vcs-Git: https://salsa.debian.org/python-team/packages/junos-eznc.git

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,6 @@
 	dh $@ --buildsystem=pybuild
 
 execute_before_dh_installdeb:
+	rm -rvf debian/*/usr/lib/python3/dist-packages/jnpr/junos/transport/_telnetlib
 	rm -vf debian/*/usr/lib/python3/dist-packages/foo_*.xml
 	rm -vf debian/*/usr/lib/python3/dist-packages/testfile

=== debian/watch ===
Version: 5

Template: GitHub
Owner: Juniper
Project: py-junos-eznc
